Plugin Directory

Better Widgets

Version: 0.3 Make it easier to manage your site's widgets.


Commenting out the wp_widget_control() function to stop causing a fatal error. This means no widget icons or fancy widget descriptions. Hoping to find a better way to do this.


Lots of changes. This plugin now requires WordPress 3.8, as the widgets screen in core has had some significant updates. Adding a checkmark to show that you've saved a widget. New icons for default widgets (and some Jetpack widgets, too).


Starting development with a concept UI. Some things don't actually work. Experimental tagging of media items is commented out. Delete doesnt actually delete. Search is limited to the items viewable on the page.

Requires: 3.8 or higher
Last Updated: 2 years ago
Active Installs: Less than 10


5 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.